<?php

/**
 * @file
 * Simplenews filter settings.
 *
 * @ingroup simplenews_filter
 */

/**
 * Menu callback: Simplenews filter admin settings form.
 */
function simplenews_filter_admin_settings_form($form, &$form_state) {
  $form = array();

  $form['simplenews_filter_defaults'] = array(
    '#type' => 'fieldset',
    '#title' => t('Default simplenews filter options'),
    '#collapsible' => FALSE,
  );
  $form['simplenews_filter_defaults']['simplenews_filter_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable filters by default'),
    '#default_value' => variable_get('simplenews_filter_enabled', TRUE),
    '#description' => t('Enabled filtering by default or require it to be turned on. When filtering is disabled the default simplenews behaviour will apply when sending newsletters.'),
  );

  $form['simplenews_filter_defaults']['simplenews_filter_default_view'] = array(
    '#type' => 'select',
    '#title' => t('Which view should be selected by default?'),
    '#options' => simplenews_filter_get_views_as_options(),
    '#description' => t('View must be of type "simplenews_subscriber". If the view has exposed filters they can be configured on a per newsletter basis.'),
    '#default_value' => variable_get('simplenews_filter_default_view', NULL),
  );

  return system_settings_form($form);
}
